Module java.desktop
Package javax.imageio.plugins.tiff

# Class ExifParentTIFFTagSet

java.lang.Object
javax.imageio.plugins.tiff.TIFFTagSet
javax.imageio.plugins.tiff.ExifParentTIFFTagSet

public final class ExifParentTIFFTagSet extends TIFFTagSet
A class containing the TIFF tags used to reference the Exif and GPS IFDs. This tag set should be added to the root tag set by means of the `TIFFImageReadParam.addAllowedTagSet` method if Exif support is desired.

Since:
  9

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`TAG_EXIF_IFD_POINTER`
Tag pointing to the Exif IFD (type LONG).
`static int`
`TAG_GPS_INFO_IFD_POINTER`
Tag pointing to a GPS info IFD (type LONG).

## Method Summary

Modifier and Type
Method
Description
`static ExifParentTIFFTagSet`
`getInstance()`
Returns a shared instance of an `ExifParentTIFFTagSet`.

### Methods declared in class javax.imageio.plugins.tiff.TIFFTagSet

`getTag, getTag, getTagNames, getTagNumbers`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TAG_EXIF_IFD_POINTER

public static final int TAG_EXIF_IFD_POINTER
Tag pointing to the Exif IFD (type LONG).

See Also:
  Constant Field Values

### TAG_GPS_INFO_IFD_POINTER

public static final int TAG_GPS_INFO_IFD_POINTER
Tag pointing to a GPS info IFD (type LONG).

See Also:
  Constant Field Values

## Method Details

### getInstance

public static ExifParentTIFFTagSet getInstance()
Returns a shared instance of an `ExifParentTIFFTagSet`.

Returns:
  an `ExifParentTIFFTagSet` instance.